Bug 1009927 - A user is able to press play on a task he delegated to someone else.
A user is able to press play on a task he delegated to someone else.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER6
: 6.0.0
Assigned To: Mauricio Salatino
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 09:54 EDT by Marek Baluch
Modified: 2014-08-06 16:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (106.83 KB, image/png)
2013-09-19 09:54 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-09-19 09:54:50 EDT
Created attachment 799957 [details]
screenshot

Description of problem:

If a user delegates a task to someone else then he is still able to press the "start task" button on the task form even though the actions in the task list do not show the operation (see attached screenshot). 

If he does press it nothing will happen (which is expected) but the whole error stack will be dumped to the server.log file after every attempt.
Comment 2 Tomas Livora 2013-10-21 10:20:57 EDT
The task list bug has only been fixed (https://bugzilla.redhat.com/show_bug.cgi?id=1009938). However, this one is about Start button in the Details panel (Work tab). And it is still there and active.
Comment 3 Mauricio Salatino 2013-11-20 12:55:28 EST
This BZ is already fixed in 6.0.x so I'm marking this BZ as modified.
Here is the commit that fixes the issue: 
https://github.com/droolsjbpm/jbpm-console-ng/commit/adf2866728faae1052044426be02ff8ca416433d
Comment 4 Tomas Livora 2014-01-03 04:26:17 EST
Verified on BPMS 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.